import React, { useState } from 'react';
import { pie, arc, interpolateRgb } from 'd3';
import { Slice } from './Slice';
import { Check } from './Check';
import { TableSVG } from './TableSVG';

const data = [1, 2, 3, 4];
const donnors = [
  {type: 'Donor1', proportion: 0.65, propC19: 0.40, propOther: 0.10},
  {type: 'Donor2', proportion: 0.05, propC19: 0.23, propOther: 0.60},
  {type: 'Donor3', proportion: 0.20, propC19: 0.19, propOther: 0.02},
	{type: 'Donor4', proportion: 0.10, propC19: 0.18, propOther: 0.28}
];

const height = 500;
const width = 960;
const xOffset = 200;
const yOffset = -40;

const innerRadius = 0;
const outerRadius = height / 2 + yOffset;

export const SimplePieChart = () => {
  
  const plotValue = d => d.proportion;
  const donArr = donnors.map(plotValue).sort();
  
  const [plotAttribute, setPlotAttribute] = useState(
    donArr
  );
  
  console.log(plotAttribute)
  
  let pie = d3.pie()(plotAttribute);

  return (
    <svg height={height} width={width}>
      <g
        transform={`translate(${width / 2 + xOffset},${height / 2 + yOffset})`}
      >
        <Slice
          outerRadius={outerRadius}
          innerRadius={innerRadius}
          pie={pie}
        />
      </g>
      {/* <Check/> */}
      <TableSVG 
        height={height} 
        width={width} 
        yOffset={yOffset}
        setPlotAttribute={setPlotAttribute}
        data={donnors}
      />
    </svg>
  );
};
